Package org.eclipse.swt.graphics

## Class PathData

- java.lang.Object
- - org.eclipse.swt.graphics.PathData

    public final class PathData
    extends java.lang.Object

Instances of this class describe device-independent paths.

Since:
  2.1
See Also:
  `Path`

### Field Summary

Fields
`float[]` `points` The points of a path.
`byte[]` `types` The type of each point.

### Constructor Summary

Constructors
`PathData()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### types

    public byte[] types

The type of each point.

#### points

    public float[] points

The points of a path.

### Constructor Detail

#### PathData

    public PathData()